JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::Message::PropertyGetData Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

Inheritance diagram for juce::midi_ci::Message::PropertyGetData:

## Public Member Functions
bool | operator== (const PropertyGetData &x) const
bool | operator!= (const PropertyGetData &x) const
Public Member Functions inherited from juce::midi_ci::Message::StaticSizePropertyExchange
auto | tie () const

## Additional Inherited Members
Public Attributes inherited from juce::midi_ci::Message::StaticSizePropertyExchange
std::byte | requestID {}
Span< const std::byte > | header

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ operator==()

bool juce::midi_ci::Message::PropertyGetData::operator== | ( | const PropertyGetData & | x | ) | const

References juce::midi_ci::Message::StaticSizePropertyExchange::tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::PropertyGetData::operator!= | ( | const PropertyGetData & | x | ) | const

References operator==(), and x.

The documentation for this struct was generated from the following file:

- juce_CIMessages.h